dofile('data/Scripts/Scenes/Common.lua');
dofile('data/Scripts/Scenes/Animations/19_DinoField_Animations.lua');

------------------------------------------------------------------------------
--
function OnSceneLoad(restoringFromSave)
	InitGameState();

	play_field = playField;
    LoadData();
	play_field = nil;

    RootZoomZone = CreateZoomZone('RootZoomZone', nil, 
                                   nil, 0.0, 
                                   nil, 0.0,
							{'RootBackground',

							 'banana',
							 'box',
							 'brooch',
							 'bug',
							 'butterfly',
							 'button',
							 'coin',
							 'cone',
							 'crab',
							 'diamond',
							 'dino',
							 'eagle',
							 'elephant',
							 'fan',
							 'frog',
							 'goose',
							 'key',
							 'ladybird',
							 'leaf',
							 'letter',
							 'lily',
							 'lizard',
							 'mantis',
							 'mask',
							 'mug',
							 'mushrooms',
							 'onions',
							 'parrot',
							 'pearl',
							 'pipe',
							 'ring',
							 'sack',
							 'seasheell',
							 'snake',
							 'stone',
							 'vase',
							 'watermelon',
							 'wolf',

							 'backpackClosed',
							 'backpackOpened',
							 'LayerOverBox',
							 'LayerOverDiamond',
							 'LayerOverDino',
							 'LayerOverElephant',
							 'LayerOverFan',
							 'LayerOverGoldBar',
							 'LayerOverGoose',
							 'LayerOverMushrooms',
							 'LayerOverParrot',
							 'LayerOverPearl',
							 'LayerOverPipe',
							 'LayerOverSack',
							 'LayerOverSnake',
							 'LayerOverVase',
							 'nest',
							 'smallDinoEating',
							 'smallDinoIdle',

							 'Berry',
							 'Egg',
							 'GoldBar',
							 'Knife',
							 'Pick',
							 'Crowbar',

							 'Berry_onPlace',
							 'Egg_onPlace',

							 'actZoneBerry',
							 'actZoneBerriesPlace',
							 'actZoneNest',
							 'actZoneBackpack',
							 'actZoneKnife',
							 'actZoneStone'},

							{});

if (restoringFromSave == false) then
    AddRandomTasks(true, MISC_TASK_COUNT_24,
--		CreateTask('banana'),
		CreateTask('box'),
--		CreateTask('brooch'),
		CreateTask('bug'),
		CreateTask('butterfly'),
--		CreateTask('button'),
		CreateTask('coin'),
		CreateTask('cone'),
		CreateTask('crab'),
		CreateTask('diamond'),
		CreateTask('dino'),
		CreateTask('eagle'),
		CreateTask('elephant'),
		CreateTask('fan'),
		CreateTask('frog'),
		CreateTask('goose'),
		CreateTask('key'),
		CreateTask('ladybird'),
		CreateTask('leaf'),
		CreateTask('letter'),
		CreateTask('lily'),
		CreateTask('lizard'),
		CreateTask('mantis'),
		CreateTask('mask'),
		CreateTask('mug'),
		CreateTask('mushrooms'),
		CreateTask('onions'),
		CreateTask('parrot'),
		CreateTask('pearl'),
		CreateTask('pipe'),
		CreateTask('ring'),
		CreateTask('sack'),
--		CreateTask('seasheell'),
		CreateTask('snake'),
		CreateTask('stone'),
		CreateTask('vase'),
		CreateTask('watermelon'),
		CreateTask('wolf')
	);

    playField:GetLevelScreen():AddTaskSafe(CreateTask('Berry'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Egg'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('GoldBar'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Knife'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Pick'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Crowbar'));
end

	CreateToolMap(	{'Berry',		'actZoneBerriesPlace'},
					{'Egg',			'actZoneNest'},
					{'GoldBar',		'actZoneBackpack'},
					{'Knife',   	'actZoneBerry'},
					{'Pick',  		'actZoneStone'},
					{'Crowbar',		'actZoneKnife'});

	SetIconForGameObject(playField:GetObject('banana'),		'data/Texture/Scenes/19_DinoField/Items/Misc/banana_icon.png');
	SetIconForGameObject(playField:GetObject('box'),		'data/Texture/Scenes/19_DinoField/Items/Misc/box_icon.png');
	SetIconForGameObject(playField:GetObject('brooch'),		'data/Texture/Scenes/19_DinoField/Items/Misc/brooch_icon.png');
	SetIconForGameObject(playField:GetObject('bug'),		'data/Texture/Scenes/19_DinoField/Items/Misc/bug_icon.png');
	SetIconForGameObject(playField:GetObject('butterfly'),	'data/Texture/Scenes/19_DinoField/Items/Misc/butterfly_icon.png');
	SetIconForGameObject(playField:GetObject('button'),		'data/Texture/Scenes/19_DinoField/Items/Misc/button_icon.png');
	SetIconForGameObject(playField:GetObject('coin'),		'data/Texture/Scenes/19_DinoField/Items/Misc/coin_icon.png');
	SetIconForGameObject(playField:GetObject('cone'),		'data/Texture/Scenes/19_DinoField/Items/Misc/cone_icon.png');
	SetIconForGameObject(playField:GetObject('crab'),		'data/Texture/Scenes/19_DinoField/Items/Misc/crab_icon.png');
	SetIconForGameObject(playField:GetObject('diamond'),	'data/Texture/Scenes/19_DinoField/Items/Misc/diamond_icon.png');
	SetIconForGameObject(playField:GetObject('dino'),		'data/Texture/Scenes/19_DinoField/Items/Misc/dino_icon.png');
	SetIconForGameObject(playField:GetObject('eagle'),		'data/Texture/Scenes/19_DinoField/Items/Misc/eagle_icon.png');
	SetIconForGameObject(playField:GetObject('elephant'),	'data/Texture/Scenes/19_DinoField/Items/Misc/elephant_icon.png');
	SetIconForGameObject(playField:GetObject('fan'),		'data/Texture/Scenes/19_DinoField/Items/Misc/fan_icon.png');
	SetIconForGameObject(playField:GetObject('frog'),		'data/Texture/Scenes/19_DinoField/Items/Misc/frog_icon.png');
	SetIconForGameObject(playField:GetObject('goose'),		'data/Texture/Scenes/19_DinoField/Items/Misc/goose_icon.png');
	SetIconForGameObject(playField:GetObject('key'),		'data/Texture/Scenes/19_DinoField/Items/Misc/key_icon.png');
	SetIconForGameObject(playField:GetObject('ladybird'),	'data/Texture/Scenes/19_DinoField/Items/Misc/ladybird_icon.png');
	SetIconForGameObject(playField:GetObject('leaf'),		'data/Texture/Scenes/19_DinoField/Items/Misc/leaf_icon.png');
	SetIconForGameObject(playField:GetObject('letter'),		'data/Texture/Scenes/19_DinoField/Items/Misc/letter_icon.png');
	SetIconForGameObject(playField:GetObject('lily'),		'data/Texture/Scenes/19_DinoField/Items/Misc/lily_icon.png');
	SetIconForGameObject(playField:GetObject('lizard'),		'data/Texture/Scenes/19_DinoField/Items/Misc/lizard_icon.png');
	SetIconForGameObject(playField:GetObject('mantis'),		'data/Texture/Scenes/19_DinoField/Items/Misc/mantis_icon.png');
	SetIconForGameObject(playField:GetObject('mask'),		'data/Texture/Scenes/19_DinoField/Items/Misc/mask_icon.png');
	SetIconForGameObject(playField:GetObject('mug'),		'data/Texture/Scenes/19_DinoField/Items/Misc/mug_icon.png');
	SetIconForGameObject(playField:GetObject('mushrooms'),	'data/Texture/Scenes/19_DinoField/Items/Misc/mushrooms_icon.png');
	SetIconForGameObject(playField:GetObject('onions'),		'data/Texture/Scenes/19_DinoField/Items/Misc/onions_icon.png');
	SetIconForGameObject(playField:GetObject('parrot'),		'data/Texture/Scenes/19_DinoField/Items/Misc/parrot_icon.png');
	SetIconForGameObject(playField:GetObject('pearl'),		'data/Texture/Scenes/19_DinoField/Items/Misc/pearl_icon.png');
	SetIconForGameObject(playField:GetObject('pipe'),		'data/Texture/Scenes/19_DinoField/Items/Misc/pipe_icon.png');
	SetIconForGameObject(playField:GetObject('ring'),		'data/Texture/Scenes/19_DinoField/Items/Misc/ring_icon.png');
	SetIconForGameObject(playField:GetObject('sack'),		'data/Texture/Scenes/19_DinoField/Items/Misc/sack_icon.png');
	SetIconForGameObject(playField:GetObject('seasheell'),	'data/Texture/Scenes/19_DinoField/Items/Misc/seasheell_icon.png');
	SetIconForGameObject(playField:GetObject('snake'),		'data/Texture/Scenes/19_DinoField/Items/Misc/snake_icon.png');
	SetIconForGameObject(playField:GetObject('stone'),		'data/Texture/Scenes/19_DinoField/Items/Misc/stone_icon.png');
	SetIconForGameObject(playField:GetObject('vase'),		'data/Texture/Scenes/19_DinoField/Items/Misc/vase_icon.png');
	SetIconForGameObject(playField:GetObject('watermelon'),	'data/Texture/Scenes/19_DinoField/Items/Misc/watermelon_icon.png');
	SetIconForGameObject(playField:GetObject('wolf'),		'data/Texture/Scenes/19_DinoField/Items/Misc/wolf_icon.png');

	SetIconForGameObject(playField:GetObject('Berry'),		'data/Texture/Scenes/19_DinoField/Items/Berry_icon.png');
	SetIconForGameObject(playField:GetObject('Egg'),		'data/Texture/Scenes/19_DinoField/Items/Egg_icon.png');
	SetIconForGameObject(playField:GetObject('GoldBar'),	'data/Texture/Scenes/19_DinoField/Items/GoldBar_icon.png');
	SetIconForGameObject(playField:GetObject('Knife'),		'data/Texture/Scenes/19_DinoField/Items/Knife_icon.png');
	SetIconForGameObject(playField:GetObject('Pick'),		'data/Texture/Scenes/19_DinoField/Items/Pick_icon.png');
	SetIconForGameObject(playField:GetObject('Crowbar'),	'data/Texture/Scenes/19_DinoField/Items/Crowbar_icon.png');

if (restoringFromSave == false) then
	gameState.berryOnPlace = false;
	gameState.eggOnPlace = false;
	gameState.goldBarInPack = false;
	gameState.knifeUsed = false;
	gameState.pickUsed = false;
	gameState.crowbarUsed = false;

	gameState.allToolsApplied = false;
	gameState.levelCompleted = false;
end

	AssignActiveZonesGlow({function() return gameState.berryOnPlace; end,	'actZoneBerriesPlace',	'Berry_ghost'},
						  {function() return gameState.eggOnPlace; end,		'actZoneNest',			'Egg_ghost'},
					      {function() return gameState.goldBarInPack; end,	'actZoneBackpack',		'GoldBar_ghost'},
						  {function() return gameState.knifeUsed; end,		'actZoneBerry',			'Knife_ghost'},
						  {function() return gameState.pickUsed; end,		'actZoneStone',			'Pick_ghost'},
						  {function() return gameState.crowbarUsed; end,	'actZoneKnife',			'Crowbar_ghost'});

    ApplyLevelDump(restoringFromSave);
	SetZoneVisible(RootZoomZone, true, false);

	auxSceneInit(restoringFromSave);
	auxProcessToolObjectStateAnCursorType();
end

------------------------------------------------------------------------------
--
function OnSceneFree()
    FreeData()

	StopSound('L19S10');
	StopSound('L19S11');
	StopSound('L19S12');
end

--// Local auxiliary functions - - - - - - - - - - - - - - - - - - - - - - - -
function auxSceneInit(restoringFromSave)
    local initialActions = function()
		ShowLevelIntro(19);
    end
	local regularActions = function()
		PlaySound('L19S10', true);

--		gameState.customCursors[''] = {'CursorZoom'};

		playField:IgnoreOnTestPoint('smallDinoIdle');
		playField:IgnoreOnTestPoint('smallDinoEating');

		playField:IgnoreOnTestPoint('LayerOverBox');
		playField:IgnoreOnTestPoint('LayerOverDiamond');
		playField:IgnoreOnTestPoint('LayerOverDino');
		playField:IgnoreOnTestPoint('LayerOverElephant');
		playField:IgnoreOnTestPoint('LayerOverFan');
		playField:IgnoreOnTestPoint('LayerOverGoldBar');
		playField:IgnoreOnTestPoint('LayerOverGoose');
		playField:IgnoreOnTestPoint('LayerOverMushrooms');
		playField:IgnoreOnTestPoint('LayerOverParrot');
		playField:IgnoreOnTestPoint('LayerOverPearl');
		playField:IgnoreOnTestPoint('LayerOverPipe');
		playField:IgnoreOnTestPoint('LayerOverSack');
		playField:IgnoreOnTestPoint('LayerOverSnake');
		playField:IgnoreOnTestPoint('LayerOverVase');

		auxCreateDinoFieldEnvAnimations(playField:GetObject('RootBackground'));
		auxPlayDinoFieldEnvAnimation('EnvFront');
		auxPlayDinoFieldEnvAnimation('EnvBack');
	end

    if (restoringFromSave == false) then
        initialActions();
	else
    end	
    regularActions();

	if (gameState.levelCompleted == true) then
		gameState.levelCompleted = false;
		auxTestLevelCompleteCondition();
	end
end


function auxProcessToolObjectStateAnCursorType()
    assert(	gameState.berryOnPlace ~= nil and
			gameState.eggOnPlace ~= nil and
			gameState.goldBarInPack ~= nil and
			gameState.knifeUsed ~= nil and
			gameState.pickUsed ~= nil and
			gameState.crowbarUsed ~= nil);

	if (gameState.berryOnPlace == true) then
		RootZoomZone.UnhideObject('Berry_onPlace');
		RootZoomZone.HideObject('smallDinoIdle');
		RootZoomZone.UnhideObject('smallDinoEating');
		gameState.customCursors['actZoneBerriesPlace'] = nil;
	else
		RootZoomZone.HideObject('Berry_onPlace');
		RootZoomZone.UnhideObject('smallDinoIdle');
		RootZoomZone.HideObject('smallDinoEating');
		gameState.customCursors['actZoneBerriesPlace'] = {'CursorArms'};
	end

	if (gameState.eggOnPlace == true) then
		RootZoomZone.UnhideObject('Egg_onPlace');
		gameState.customCursors['actZoneNest'] = nil;
	else
		RootZoomZone.HideObject('Egg_onPlace');
		gameState.customCursors['actZoneNest'] = {'CursorArms'};
	end

	if (gameState.goldBarInPack == true) then
		RootZoomZone.UnhideObject('backpackClosed');
		RootZoomZone.HideObject('backpackOpened');
		gameState.customCursors['actZoneBackpack'] = nil;
	else
		RootZoomZone.HideObject('backpackClosed');
		RootZoomZone.UnhideObject('backpackOpened');
		gameState.customCursors['actZoneBackpack'] = {'CursorArms'};
	end

	if (gameState.knifeUsed == true) then
		assert(playField:HasObject('Berry') == false);
		gameState.customCursors['actZoneBerry'] = nil;
	else
		gameState.customCursors['actZoneBerry'] = {'CursorArms'};
	end

	if (gameState.pickUsed == true) then
		RootZoomZone.HideObject('LayerOverGoldBar');
		playField:GetObject('actZoneStone'):SetVisible(false);
		gameState.customCursors['actZoneStone'] = nil;
	else
		RootZoomZone.UnhideObject('LayerOverGoldBar');
		playField:GetObject('actZoneStone'):SetVisible(true);
		gameState.customCursors['actZoneStone'] = {'CursorArms'};
	end

	if (gameState.crowbarUsed == true) then
		assert(playField:HasObject('Knife') == false);
		gameState.customCursors['actZoneKnife'] = nil;
	else
		gameState.customCursors['actZoneKnife'] = {'CursorArms'};
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxTestLevelCompleteCondition()
	if (
		gameState.allToolsApplied == true and
		gameState.levelCompleted == false and
		playField:GetLevelScreen():HasUncompletedTask() == false) then

		gameState.levelCompleted = true;
		TimerDoString('OnWin();', 2.0, playField:GetTimer());
	end
end
-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

------------------------------------------------------------------------------
--
function OnDialogButtonPress(name, param)
end

------------------------------------------------------------------------------
--
function OnUpdate(dt)
    DefaultOnUpdate(dt);
end

------------------------------------------------------------------------------
--
function OnWin()
	DefaultOnWin();
end

------------------------------------------------------------------------------
--
function OnObjectMouseEnter(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseEnter(object);
	ActivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseLeave(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseLeave(object);
    DeactivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseDown(object)
    local objectName = object:GetName();
    local isWrongClick = true;

	assert(gameState.activeZone ~= nil and gameState.locker:GetNReferences() > 0);

    if (gameState.lockedObjects[objectName] ~= true) then
        if (gameState.activeZone.HasObject(objectName)) then
            isWrongClick = DefaultOnZoomZoneActiveObjectClick(objectName);

			--// ...

	        if (isWrongClick == true and playField:GetLevelScreen():IsTaskObject(objectName)) then
	            auxAttachInPlace(object, playField);
				object:ResetClippingRect();
				--// remove object from zoom-zone which contents it
				assert(gameState.activeZone.objects[objectName] ~= nil);
				gameState.activeZone.objects[objectName] = nil;

                playField:OnObjectFound(object);
                isWrongClick = false;
            end
        else
--			assert(gameState.activeZone ~= RootZoomZone and 
--				   gameState.locker:GetNReferences() > 1 and
--				   'Attempt to close root scene - you have clicked on an object which hasn`t been added to any zoom-zone');
            if (gameState.activeZone ~= RootZoomZone and gameState.locker:GetNReferences() > 1) then
                if (gameState.lockedObjects[gameState.activeZone.activeObject] == nil) then
                    SetZoneVisible(gameState.activeZone, false);
                end
            else
                Log('Lua: OnObjectMouseDown(\''..objectName..'\'): Was made click on object which hasn`t been attached to any zoom-zone');
            end
        end --// if (gameState.activeZone.HasObject(...
    end --// if (gameState.lockedObjects[...

	--// Tips - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	if (objectName == 'actZoneNest' and gameState.eggOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL19_PUT_EGG_TIP1'));
	elseif (objectName == 'actZoneStone' and gameState.pickUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL19_USE_PICK_TIP1'));
	elseif (objectName == 'actZoneBerry' and gameState.knifeUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL19_CUT_BERRIES_TIP1'));
	elseif (objectName == 'actZoneBerriesPlace' and gameState.berryOnPlace == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL19_PUT_BERRIES_TIP1'));
	elseif (objectName == 'actZoneKnife' and gameState.crowbarUsed == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL19_USE_CROWBAR_TIP1'));
	elseif (objectName == 'actZoneBackpack' and gameState.goldBarInPack == false) then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL19_BACKPACK_TIP1'));
	else
	    playField:GetLevelScreen():HideTip();
	end
	--//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

    DefaultOnObjectClick(object, isWrongClick, not playField:GetLevelScreen():IsTipShown());
    DefaultOnObjectMouseEnter(object);
end

------------------------------------------------------------------------------
--
function OnObjectMouseUp(object)
end

------------------------------------------------------------------------------
--
function OnObjectFound(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	local objectMustBeHighlighted = DefaultOnObjectFound(object);
	return objectMustBeHighlighted;
end

------------------------------------------------------------------------------
--
function OnToolFound(tool)
end

------------------------------------------------------------------------------
--
function CanToolBeApplied(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local canToolBeApplied = true;
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	canToolBeApplied = DefaultCanToolBeApplied(tool, object);
	return canToolBeApplied;
end

------------------------------------------------------------------------------
--
function OnToolApply(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local toolApplied = false;

	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	if (toolName == 'Berry' and objName == gameState.toolMap[toolName]) then
		gameState.berryOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'Egg' and objName == gameState.toolMap[toolName]) then
		gameState.eggOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'GoldBar' and objName == gameState.toolMap[toolName]) then
		gameState.goldBarInPack = true;
		toolApplied = true;
	end
	if (toolName == 'Knife' and objName == gameState.toolMap[toolName]) then
		gameState.knifeUsed = true;
--		playField:OnObjectFound
		OnObjectMouseDown(playField:GetObject('Berry'));
		toolApplied = true;
		PlaySound('L19S12');
	end
	if (toolName == 'Pick' and objName == gameState.toolMap[toolName]) then
		gameState.pickUsed = true;
		toolApplied = true;
		PlaySound('L19S11');
	end
	if (toolName == 'Crowbar' and objName == gameState.toolMap[toolName]) then
		gameState.crowbarUsed = true;
--		playField:OnObjectFound
		OnObjectMouseDown(playField:GetObject('Knife'));
		toolApplied = true;
	end
	if (not toolApplied) then
	    playField:GetLevelScreen():ShowTip(GetTextString('WRONG_ITEM_APPLIED_TIP1'),
										   GetTextString('WRONG_ITEM_APPLIED_TIP2'));
	end

	if (gameState.berryOnPlace == true and
		gameState.eggOnPlace == true and
		gameState.goldBarInPack == true and
		gameState.knifeUsed == true and
		gameState.pickUsed == true and
		gameState.crowbarUsed == true and
		gameState.allToolsApplied == false) then

		gameState.allToolsApplied = true;
		if (playField:GetLevelScreen():HasUncompletedTask() == true) then
		    playField:GetLevelScreen():ShowTip(GetTextString('HAVE_TO_FIND_ITEMS_MSG1'),
											   GetTextString('HAVE_TO_FIND_ITEMS_MSG2'));
		else
			auxTestLevelCompleteCondition();
		end
	end

	auxProcessToolObjectStateAnCursorType();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    DefaultOnObjectMouseEnter(object);
	if (toolApplied == true) then
	    DeactivateActiveZoneDeactivatedGlow(object:GetName());
	end
	return toolApplied;
end

------------------------------------------------------------------------------
--
function OnObjectReachPanel(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	auxTestLevelCompleteCondition();
end

------------------------------------------------------------------------------
--
function OnButtonPress(zoneName)
    DefaultOnButtonPress(zoneName);
end

------------------------------------------------------------------------------
--
function OnMouseMove(prevMousePos, currentMousePos)
end

------------------------------------------------------------------------------
--
function OnSetTool(tool)
end

------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData()
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('RootBackground',anim,512,384,98,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/banana.png',0,0,91,99,1,0)
	anim:SetHotSpot(45,49)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('banana',anim,395,241,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/box.png',0,0,77,60,1,0)
	anim:SetHotSpot(38,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('box',anim,985,29,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/brooch.png',0,0,51,60,1,0)
	anim:SetHotSpot(25,30)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('brooch',anim,287,348,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/bug.png',0,0,68,81,1,0)
	anim:SetHotSpot(34,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bug',anim,931,67,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/butterfly.png',0,0,52,71,1,0)
	anim:SetHotSpot(26,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('butterfly',anim,355,62,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/button.png',0,0,47,47,1,0)
	anim:SetHotSpot(23,23)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('button',anim,577,213,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/coin.png',0,0,53,54,1,0)
	anim:SetHotSpot(26,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('coin',anim,917,486,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/cone.png',0,0,70,84,1,0)
	anim:SetHotSpot(35,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('cone',anim,765,43,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/crab.png',0,0,107,91,1,0)
	anim:SetHotSpot(53,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('crab',anim,241,562,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/diamond.png',0,0,74,57,1,0)
	anim:SetHotSpot(37,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('diamond',anim,934,745,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/dino.png',0,0,216,145,1,0)
	anim:SetHotSpot(108,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('dino',anim,257,518,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/eagle.png',0,0,47,58,1,0)
	anim:SetHotSpot(23,29)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('eagle',anim,702,89,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/elephant.png',0,0,86,92,1,0)
	anim:SetHotSpot(43,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('elephant',anim,781,266,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/fan.png',0,0,78,98,1,0)
	anim:SetHotSpot(39,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fan',anim,169,192,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/frog.png',0,0,95,61,1,0)
	anim:SetHotSpot(47,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('frog',anim,465,652,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/goose.png',0,0,82,80,1,0)
	anim:SetHotSpot(41,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('goose',anim,169,379,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/key.png',0,0,110,63,1,0)
	anim:SetHotSpot(55,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('key',anim,211,625,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/ladybird.png',0,0,50,51,1,0)
	anim:SetHotSpot(25,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('ladybird',anim,322,732,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/leaf.png',0,0,63,44,1,0)
	anim:SetHotSpot(31,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('leaf',anim,730,37,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/letter.png',0,0,105,83,1,0)
	anim:SetHotSpot(52,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('letter',anim,763,721,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/lily.png',0,0,82,83,1,0)
	anim:SetHotSpot(41,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('lily',anim,149,568,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/lizard.png',0,0,109,65,1,0)
	anim:SetHotSpot(54,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('lizard',anim,741,541,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/mantis.png',0,0,75,91,1,0)
	anim:SetHotSpot(37,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mantis',anim,798,426,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/mask.png',0,0,78,81,1,0)
	anim:SetHotSpot(39,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mask',anim,186,478,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/mug.png',0,0,91,94,1,0)
	anim:SetHotSpot(45,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mug',anim,209,717,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/mushrooms.png',0,0,152,116,1,0)
	anim:SetHotSpot(76,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mushrooms',anim,644,669,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/onions.png',0,0,84,132,1,0)
	anim:SetHotSpot(42,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('onions',anim,978,217,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/parrot.png',0,0,69,164,1,0)
	anim:SetHotSpot(34,82)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('parrot',anim,152,127,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/pearl.png',0,0,50,50,1,0)
	anim:SetHotSpot(25,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('pearl',anim,566,717,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/pipe.png',0,0,107,48,1,0)
	anim:SetHotSpot(53,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('pipe',anim,751,746,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/ring.png',0,0,60,44,1,0)
	anim:SetHotSpot(30,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('ring',anim,360,750,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/sack.png',0,0,98,110,1,0)
	anim:SetHotSpot(49,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('sack',anim,851,688,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/seasheell.png',0,0,70,72,1,0)
	anim:SetHotSpot(35,36)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('seasheell',anim,795,169,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/snake.png',0,0,115,105,1,0)
	anim:SetHotSpot(57,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('snake',anim,898,417,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/stone.png',0,0,59,53,1,0)
	anim:SetHotSpot(29,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('stone',anim,881,184,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/vase.png',0,0,84,138,1,0)
	anim:SetHotSpot(42,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('vase',anim,974,570,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/watermelon.png',0,0,92,92,1,0)
	anim:SetHotSpot(46,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('watermelon',anim,443,628,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Misc/wolf.png',0,0,109,69,1,0)
	anim:SetHotSpot(54,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('wolf',anim,465,504,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/backpackClosed.png',0,0,96,90,1,0)
	anim:SetHotSpot(48,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('backpackClosed',anim,654,726,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/backpackOpened.png',0,0,95,85,1,0)
	anim:SetHotSpot(47,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('backpackOpened',anim,654,724,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverBox.png',0,0,63,70,1,0)
	anim:SetHotSpot(31,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBox',anim,998,47,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverDiamond.png',0,0,132,50,1,0)
	anim:SetHotSpot(66,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverDiamond',anim,933,743,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverDino.png',0,0,260,148,1,0)
	anim:SetHotSpot(130,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverDino',anim,266,544,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverElephant.png',0,0,59,104,1,0)
	anim:SetHotSpot(29,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverElephant',anim,819,266,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverFan.png',0,0,115,114,1,0)
	anim:SetHotSpot(57,57)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverFan',anim,185,237,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverGoldBar.png',0,0,112,67,1,0)
	anim:SetHotSpot(56,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverGoldBar',anim,377,553,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverGoose.png',0,0,85,52,1,0)
	anim:SetHotSpot(42,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverGoose',anim,153,399,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverMushrooms.png',0,0,80,82,1,0)
	anim:SetHotSpot(40,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverMushrooms',anim,607,664,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverParrot.png',0,0,90,53,1,0)
	anim:SetHotSpot(45,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverParrot',anim,166,137,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverPearl.png',0,0,80,80,1,0)
	anim:SetHotSpot(40,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverPearl',anim,557,707,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverPipe.png',0,0,129,95,1,0)
	anim:SetHotSpot(64,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverPipe',anim,768,719,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverSack.png',0,0,116,109,1,0)
	anim:SetHotSpot(58,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverSack',anim,853,716,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverSnake.png',0,0,133,131,1,0)
	anim:SetHotSpot(66,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverSnake',anim,883,407,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/LayerOverVase.png',0,0,88,103,1,0)
	anim:SetHotSpot(44,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverVase',anim,952,606,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/nest.png',0,0,96,65,1,0)
	anim:SetHotSpot(48,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('nest',anim,609,570,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Berry.png',0,0,80,72,1,0)
	anim:SetHotSpot(40,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Berry',anim,959,372,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Berry_ghost.png',0,0,100,60,1,0)
	anim:SetHotSpot(50,30)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Berry_ghost',anim,509,600,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Berry_onPlace.png',0,0,91,46,1,0)
	anim:SetHotSpot(45,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Berry_onPlace',anim,509,600,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Egg.png',0,0,60,69,1,0)
	anim:SetHotSpot(30,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Egg',anim,472,739,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Egg_ghost.png',0,0,96,96,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Egg_ghost',anim,615,567,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Egg_onPlace.png',0,0,99,69,1,0)
	anim:SetHotSpot(49,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Egg_onPlace',anim,610,568,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/GoldBar.png',0,0,80,64,1,0)
	anim:SetHotSpot(40,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GoldBar',anim,373,557,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/GoldBar_ghost.png',0,0,100,100,1,0)
	anim:SetHotSpot(50,50)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('GoldBar_ghost',anim,645,721,110,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Knife.png',0,0,78,116,1,0)
	anim:SetHotSpot(39,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Knife',anim,729,617,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Knife_ghost.png',0,0,147,80,1,0)
	anim:SetHotSpot(73,73)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Knife_ghost',anim,960,392,110,20,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Pick.png',0,0,81,63,1,0)
	anim:SetHotSpot(40,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Pick',anim,377,651,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Pick_ghost.png',0,0,96,96,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Pick_ghost',anim,363,548,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Crowbar.png',0,0,100,100,1,0)
	anim:SetHotSpot(50,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Crowbar',anim,269,721,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Items/Crowbar_ghost.png',0,0,109,131,1,0)
	anim:SetHotSpot(54,54)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Crowbar_ghost',anim,746,593,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneBerry',anim,970,356,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,100,14)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneBerriesPlace',anim,515,566,105,0,0.9,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneNest',anim,618,557,105,0,0.8,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneBackpack',anim,649,728,108,0,0.8,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneKnife',anim,736,621,105,14,0.8,1.1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneStone',anim,369,549,106,0,0.9,0.8)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/smallDinoEating.png',0,0,90,105,30,15)
	anim:SetHotSpot(45,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('smallDinoEating',anim,538,554,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/19_DinoField/Layers/smallDinoIdle.png',0,0,143,93,100,15)
	anim:SetHotSpot(71,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('smallDinoIdle',anim,533,560,106,0,1,1)
end

function FreeData()
end
-- CLEAR_ON_SAVE_END
